[package]
name = "arch"
version = "0.1.0"
authors = ["The Chromium OS Authors"]
edition = "2021"

[features]
power-monitor-powerd = ["power_monitor/powerd"]
gdb = ["gdbstub_arch"]
direct = []

[dependencies]
acpi_tables = { path = "../acpi_tables" }
anyhow = "*"
base = { path = "../base" }
devices = { path = "../devices" }
gdbstub_arch = { version = "0.2.2", optional = true }
hypervisor = { path = "../hypervisor" }
kernel_cmdline = { path = "../kernel_cmdline" }
libc = "*"
minijail = { path = "../../minijail/rust/minijail" } # ignored by ebuild
power_monitor = { path = "../power_monitor" }
remain = "*"
resources = { path = "../resources" }
sync = { path = "../common/sync" }
thiserror = "1.0.20"
vm_control = { path = "../vm_control" }
vm_memory = { path = "../vm_memory" }
